require 'helper'

class TestFib < Test::Unit::TestCase
  should "return the closest fibonacci number" do
    [[-1,nil],[0,0],[1,1],[2,2],[3,3],[4,3],[5,5],[156,144],[99,89],[89,89]].each do |answer_pair|
      value, answer = answer_pair
      assert_equal answer, value.closest_fibonacci
    end
  end
end
